import React from 'react'
import ReactDOM from 'react-dom'
import Reboot from 'material-ui/Reboot'
import { MuiThemeProvider, createMuiTheme } from 'material-ui/styles'
import App from './components/App'
import registerServiceWorker from './registerServiceWorker'
import 'typeface-roboto'

import { BrowserRouter as Router, Route, Link } from 'react-router-dom'

const theme = createMuiTheme({
    palette: {
        primary: { 
            main: '#0288d1'
        },
    },
    typography: {
        fontSize: 12
    }
})

const AppTheme = () => (
    <MuiThemeProvider theme={theme}>
        <Reboot /> 
        <App />
    </MuiThemeProvider>
)

ReactDOM.render(<AppTheme />, document.getElementById('root'));
registerServiceWorker();
